sensorfw: ALSSensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
ALSSensorChannel Class Reference

Sensor for accessing the internal ambient light sensor measurements. More...

`#include <alssensor.h>`

Inheritance diagram for ALSSensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | ALSChanged (const Unsigned &value)
| Sent when a change in measured data is observed. More...

## Public Member Functions
Unsigned | lux () const
| Property for accessing the measured value. More...

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for ALSSensorChannel. More...

## Protected Member Functions
| ALSSensorChannel (const QString &id)
virtual | ~ALSSensorChannel ()

## Properties
Unsigned | lux

## Detailed Description

Sensor for accessing the internal ambient light sensor measurements.

Signals listeners whenever observed ambient light intensity level has changed.

Definition at line 52 of file alssensor.h.

## Constructor & Destructor Documentation

## ◆ ALSSensorChannel()

ALSSensorChannel::ALSSensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~ALSSensorChannel()

virtual ALSSensorChannel::~ALSSensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ ALSChanged

void ALSSensorChannel::ALSChanged | ( | const Unsigned & | value | ) |
| signal

Sent when a change in measured data is observed.

Parameters

  value | Measured value.

## ◆ factoryMethod()

static AbstractSensorChannel * ALSSensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for ALSSensorChannel.

Returns
  New ALSSensorChannel as AbstractSensorChannel*

Definition at line 64 of file alssensor.h.

## ◆ lux()

Unsigned ALSSensorChannel::lux | ( |  | ) | const
| inline

Property for accessing the measured value.

Returns
  Last measured value.

Definition at line 76 of file alssensor.h.

## ◆ start

bool ALSSensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool ALSSensorChannel::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ lux

Unsigned ALSSensorChannel::lux
| read

Definition at line 1 of file alssensor.h.

The documentation for this class was generated from the following file:

- sensors/alssensor/alssensor.h